The ezTalks mobile app works on the following system:
  iphone& ipad with IOS9 or later
  Andriod devices with Andriod 4.4 or later

If you cannot install the app successfully on your mobile device, please make sure the version of your system matches the above requirements.

Did this answer your question?